/* test.cc
****************************************************************************************************************
****************************************************************************************************************

    Copyright (C) 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015 Askar Almatov

    This file is part of Libiclass. 
    
    Libiclass is free software: you can redistribute it and/or modify it under the terms of the GNU General
    Public License as published by the Free Software Foundation, either version 3 of the License, or (at your
    option) any later version.
    
    Libiclass is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
    implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
    License for more details.
    
    You should have received a copy of the GNU General Public License along with Libiclass. If not, see
    <http://www.gnu.org/licenses/>.
*/

#include <iostream>
#include "test.h"

using namespace std;
using namespace iclasstest;

/**************************************************************************************************************/
testt::testt( string TestName ) :
    _name( TestName ),
    _index( 0 ),
    _result( true )
{
    cout << _name << " ";
}

/**************************************************************************************************************/
void
testt::check( bool CheckResult )
{
    _index++;
    _result &= CheckResult;

    if ( CheckResult )
    {
	cout << "." << flush;
    }
    else
    {
    	cout << " " << _index << " " << flush;
    }
}

/**************************************************************************************************************/
bool
testt::result() const
{
    if ( _result )
    {
    	cout << " OK";
    }
    
    cout << endl;

    return _result;
}
