#include <iostream>
#include <libiclass/time>
#include <libiclass/tzinfo>

using namespace std;
using namespace iclass;

int
main()
{
    tzinfot	   tzi( "UTC" );
    
    cout 
    	<< "tzi.transitioncount() = " << tzi.transitioncount() << endl
    	<< "tzi.lstransitioncount() = " << tzi.lstransitioncount() << endl;

    for ( int i=0; i<tzi.transitioncount(); i++ )
    {
    	gtimet	gtt( tzi.transition(i).begin() );
	
    	cout 
	    << gtt.str() << " " 
	    << tzi.transition(i).offset() << " " 
	    << (tzi.transition(i).isdst()?" DST":"NDST") << " "
	    << (tzi.transition(i).isstd()?" STD":"NSTD") << " "
	    << (tzi.transition(i).isgmt()?" GMT":"NGMT") << " "
	    << tzi.transition(i).zonename() << endl;
    }
    
    for ( int i=0; i<tzi.lstransitioncount(); i++ )
    {
    	gtimet	gtt( tzi.lstransition(i) );
	
    	cout 
	    << gtt.str() << " " 
	    << tzi.lscorrection(i) << endl;
    }
    
    gtimet  gty( tzi.findasgmt(-1441170468).begin() );
    
    cout << tzi.findasgmt(-1441170468).begin() << " " << gty.str() << endl;

    return 0;
}
